package com.steering.mes.mcp.entity;

/**
 * 数据库表COUPLING_INSPECTION_RESULT所对应的实体类（生成工具：代码生成器2.4）
 * @author PC-201412141732 date 2016-03-30
 */
public class CouplingInspectionResultEntity {
    /**
     * 是否离线（0否，1是）
     */
    private String ifAllOutWork;
    /**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 产线代码
     */
    private String plineCode;
    /**
     * 作业工单号
     */
    private String zyPlanId;
    /**
     * 一次合格个数
     */
    private String qualiriedPcs;
    /**
     * 废品个数
     */
    private String rejectedPcs;
    /**
     * 检验个数
     */
    private String inspectPieces;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 创建人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    /**
     * 探伤标准
     */
    private String inspStandard;
    /**
     * 试片类型
     */
    private String specimenType;
    /**
     * 试片显示
     */
    private String specimenMagnetic;
    /**
     * 磁粉种类
     */
    private String magneticPowder;
    /**
     * 湿法荧光磁粉
     */
    private String fluorescentMagnetic;
    /**
     * 磁悬液浓度
     */
    private String concentration;
    /**
     * 线圈电流强度
     */
    private String coilIntensity;
    /**
     * 中心棒电流强度
     */
    private String centerIntensity;
    /**
     * 退磁电压（V）
     */
    private String voltage;
    /**
     * 备注
     */
    private String memo;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 操作工
     */
    private String colOperator;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateDate;
    /**
     * 不合格原因
     */
    private String unqualiriedReason;
    /**
     * 不合格个数
     */
    private String unqualiriedPcs;
    /**
     * 修后复探量
     */
    private String amountPcs;
    /**
     * 最终合格个数
     */
    private String finalQualified;
    /**
     * 磁化时间MAGTIMES
     */
    private String magtimes;
    /**
     * 签发者ISSUED
     * @return
     */
    private String issued;
    public String getIssued() {
		return issued;
	}

	public void setIssued(String issued) {
		this.issued = issued;
	}

	public String getMagtimes() {
		return magtimes;
	}

	public void setMagtimes(String magtimes) {
		this.magtimes = magtimes;
	}

	/**
     * 检测位置及方向
     */
    private String position;
    public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	/**
     * 废品原因
     */
    private String rejectedReason;
    private String woId;
    
    private String offNum;

    public String getOffNum() {
		return offNum;
	}

	public void setOffNum(String offNum) {
		this.offNum = offNum;
	}

	public String getWoId() {
        return woId;
    }

    public void setWoId(String woId) {
        this.woId = woId;
    }

    public CouplingInspectionResultEntity() {
        resultNo = "";
        plineCode = "";
        zyPlanId = "";
        qualiriedPcs = "";
        rejectedPcs = "";
        inspectPieces = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        inspStandard = "";
        specimenType = "";
        specimenMagnetic = "";
        magneticPowder = "";
        fluorescentMagnetic = "";
        concentration = "";
        coilIntensity = "";
        centerIntensity = "";
        voltage = "";
        memo = "";
        createTime = "";
        colOperator = "";
        updateName = "";
        updateDate = "";
        unqualiriedReason = "";
        unqualiriedPcs = "";
        amountPcs = "";
        finalQualified = "";
        rejectedReason = "";
        ifAllOutWork = "";
    }

    public String getIfAllOutWork() {
        return ifAllOutWork;
    }

    public void setIfAllOutWork(String ifAllOutWork) {
        this.ifAllOutWork = ifAllOutWork;
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 作业工单号
     * @return value
     */
    public String getZyPlanId() {
        return zyPlanId;
    }

    /**
     * 作业工单号
     * @param zyPlanId value
     */
    public void setZyPlanId(String zyPlanId) {
        this.zyPlanId = zyPlanId;
    }

    /**
     * 一次合格个数
     * @return value
     */
    public String getQualiriedPcs() {
        return qualiriedPcs;
    }

    /**
     * 一次合格个数
     * @param qualiriedPcs value
     */
    public void setQualiriedPcs(String qualiriedPcs) {
        this.qualiriedPcs = qualiriedPcs;
    }

    /**
     * 废品个数
     * @return value
     */
    public String getRejectedPcs() {
        return rejectedPcs;
    }

    /**
     * 废品个数
     * @param rejectedPcs value
     */
    public void setRejectedPcs(String rejectedPcs) {
        this.rejectedPcs = rejectedPcs;
    }

    /**
     * 检验个数
     * @return value
     */
    public String getInspectPieces() {
        return inspectPieces;
    }

    /**
     * 检验个数
     * @param inspectPieces value
     */
    public void setInspectPieces(String inspectPieces) {
        this.inspectPieces = inspectPieces;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 创建人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 创建人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 探伤标准
     * @return value
     */
    public String getInspStandard() {
        return inspStandard;
    }

    /**
     * 探伤标准
     * @param inspStandard value
     */
    public void setInspStandard(String inspStandard) {
        this.inspStandard = inspStandard;
    }

    /**
     * 试片类型
     * @return value
     */
    public String getSpecimenType() {
        return specimenType;
    }

    /**
     * 试片类型
     * @param specimenType value
     */
    public void setSpecimenType(String specimenType) {
        this.specimenType = specimenType;
    }

    /**
     * 试片显示
     * @return value
     */
    public String getSpecimenMagnetic() {
        return specimenMagnetic;
    }

    /**
     * 试片显示
     * @param specimenMagnetic value
     */
    public void setSpecimenMagnetic(String specimenMagnetic) {
        this.specimenMagnetic = specimenMagnetic;
    }

    /**
     * 磁粉种类
     * @return value
     */
    public String getMagneticPowder() {
        return magneticPowder;
    }

    /**
     * 磁粉种类
     * @param magneticPowder value
     */
    public void setMagneticPowder(String magneticPowder) {
        this.magneticPowder = magneticPowder;
    }

    /**
     * 湿法荧光磁粉
     * @return value
     */
    public String getFluorescentMagnetic() {
        return fluorescentMagnetic;
    }

    /**
     * 湿法荧光磁粉
     * @param fluorescentMagnetic value
     */
    public void setFluorescentMagnetic(String fluorescentMagnetic) {
        this.fluorescentMagnetic = fluorescentMagnetic;
    }

    /**
     * 磁悬液浓度
     * @return value
     */
    public String getConcentration() {
        return concentration;
    }

    /**
     * 磁悬液浓度
     * @param concentration value
     */
    public void setConcentration(String concentration) {
        this.concentration = concentration;
    }

    /**
     * 线圈电流强度
     * @return value
     */
    public String getCoilIntensity() {
        return coilIntensity;
    }

    /**
     * 线圈电流强度
     * @param coilIntensity value
     */
    public void setCoilIntensity(String coilIntensity) {
        this.coilIntensity = coilIntensity;
    }

    /**
     * 中心棒电流强度
     * @return value
     */
    public String getCenterIntensity() {
        return centerIntensity;
    }

    /**
     * 中心棒电流强度
     * @param centerIntensity value
     */
    public void setCenterIntensity(String centerIntensity) {
        this.centerIntensity = centerIntensity;
    }

    /**
     * 退磁电压（V）
     * @return value
     */
    public String getVoltage() {
        return voltage;
    }

    /**
     * 退磁电压（V）
     * @param voltage value
     */
    public void setVoltage(String voltage) {
        this.voltage = voltage;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 操作工
     * @return value
     */
    public String getColOperator() {
        return colOperator;
    }

    /**
     * 操作工
     * @param colOperator value
     */
    public void setColOperator(String colOperator) {
        this.colOperator = colOperator;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateDate() {
        return updateDate;
    }

    /**
     * 修改时间
     * @param updateDate value
     */
    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    /**
     * 不合格原因
     * @return value
     */
    public String getUnqualiriedReason() {
        return unqualiriedReason;
    }

    /**
     * 不合格原因
     * @param unqualiriedReason value
     */
    public void setUnqualiriedReason(String unqualiriedReason) {
        this.unqualiriedReason = unqualiriedReason;
    }

    /**
     * 不合格个数
     * @return value
     */
    public String getUnqualiriedPcs() {
        return unqualiriedPcs;
    }

    /**
     * 不合格个数
     * @param unqualiriedPcs value
     */
    public void setUnqualiriedPcs(String unqualiriedPcs) {
        this.unqualiriedPcs = unqualiriedPcs;
    }

    /**
     * 修后复探量
     * @return value
     */
    public String getAmountPcs() {
        return amountPcs;
    }

    /**
     * 修后复探量
     * @param amountPcs value
     */
    public void setAmountPcs(String amountPcs) {
        this.amountPcs = amountPcs;
    }

    /**
     * 最终合格个数
     * @return value
     */
    public String getFinalQualified() {
        return finalQualified;
    }

    /**
     * 最终合格个数
     * @param finalQualified value
     */
    public void setFinalQualified(String finalQualified) {
        this.finalQualified = finalQualified;
    }

    /**
     * 废品原因
     * @return value
     */
    public String getRejectedReason() {
        return rejectedReason;
    }

    /**
     * 废品原因
     * @param rejectedReason value
     */
    public void setRejectedReason(String rejectedReason) {
        this.rejectedReason = rejectedReason;
    }
}